Upload Job Data

Uploads CSV data for the job to process. A job can consist up to 100 data files. After all of the data has been uploaded, close the job to indicate the data is ready to be processed.
URI
/api/v1/ingest/jobs/{id}/batches
Available since release
Data Cloud v1.0, Salesforce v51.0
Formats
CSV
HTTP methods
PUT
Authentication
Authorization: Bearer access_token
Request body
Include the CSV file with record data.
1curl --location --request PUT 'https://{instance_url}/api/v1/ingest/jobs/{id}/batches' \
2--header 'Content-Type: text/csv' \
3--header 'Authorization: Bearer {access_token}' \
4--data-binary @type_name-1.csv
5
6HTTP/1.1 202 Accepted
Request parameters
Parameter Description
id The job id returned in the response body from the Create a Job request.
Response body
None. Returns a status code of 202 (Accepted), which indicates that the job data was successfully received by Salesforce.

CSV File Layouts for Each Operation

For Upserts: Create a CSV file that has a header row matching the fields in the data stream you defined.

For Deletes: Create a CSV file without any headers, meaning the first row corresponds to raw data, with up to 2 columns. In the first column, provide the primary key value corresponding to each record that must be deleted. A second column is only necessary for profile type data where a record version column was set for the data stream. In such a case, the second column must contain datetime values greater than the original record, so that the system understands that the deletion request supersedes the original upsert request.